Status: New % Done: 40%

Priority: Normal   

Assignee:    

Category: UX   

Target version: v16.0.0   

Source:  Reviewed:  

Tags:  Affected Versions: v15.2.9, v16.0.0

Backport:  Pull request ID:  

Description

This is a parent tracker for gathering a number of usability improvements.

Subtasks:

Feature # 24673: mgr/dashboard: The Web UI should warn a user about unsaved form changes New

Tasks # 25167: mgr/dashboard: Display useful popovers in forms New

Feature # 36587: mgr/dashboard: Page title should indicate current location Resolved

Cleanup # 47073: mgr/dashboard: landing page In Progress

  Feature # 49445: mgr/dashboard: Allow frontend modifications of the dashboard New

  Feature # 50980: mgr/dashboard: advanced cluster visualization New

  Feature # 55522: mgr/dashboard: links from landing page cards to specific pages New

Cleanup # 47135: mgr/dashboard: terminology review and improvement New

Cleanup # 47136: mgr/dashboard: main menu rearrangement Fix Under Review

Cleanup # 47137: mgr/dashboard: missing table titles Rejected

Feature # 47138: mgr/dashboard: tables-in-tables pattern New

Bug # 47376: mgr/dashboard: table items get selected when expanding details table Resolved

Cleanup # 47377: mgr/dashboard: add select-all/unselect-all checkbox New

Tasks # 47476: mgr/dashboard: cluster > hosts New

  Cleanup # 47218: mgr/dashboard: cluster > hosts: services are not services but daemons Resolved

  Cleanup # 47219: mgr/dashboard: cluster > hosts: missing info Resolved

  Cleanup # 47220: mgr/dashboard: cluster > host: missing/misleading actions New

    Feature # 51587: mgr/dashboard: implement host drain feature in dashboard Resolved

    Feature # 53315: mgr/dashboard: Create host form retain the previously created labels a... Resolved

    Bug # 55523: mgr/dashboard: weird "selected" count in "physical devices" table and subt... Resolved

  Cleanup # 47222: mgr/dashboard: cluster > hosts: "devices" and "inventory > devices" ta... Resolved

  Cleanup # 47595: mgr/dashboard: move Device health pane to upper level New

  Feature # 50318: mgr/dashboard: when adding host, allow to specify network address and ... Resolved

  Cleanup # 51588: mgr/dashboard: Host labels cleanups New

  Cleanup # 52456: mgr/dashboard: suggestions for common label names Duplicate

  Tasks # 52851: mgr/dashboard: remove (old) Ceph version from hosts New

  Bug # 53210: mgr/dashboard: cluster > hosts: host list tables doesn't show all services... Resolved

  Cleanup # 53355: mgr/dashboard: Hide hostname column of daemon table in host details Resolved

  Cleanup # 53395: mgr/dashboard: cluster > hosts display total number of cores New

  Bug # 55524: mgr/dashboard: cropped device id in OSDs page - Device tab Triaged

  Feature # 55527: mgr/dashboard: link from Hosts - device to Physical Device New

Tasks # 47477: mgr/dashboard: cluster > inventory New

  Feature # 50312: mgr/dashboard: create OSD directly from device in Inventory New

  Cleanup # 50314: mgr/dashboard: rename "inventory" to "disks" Resolved

Tasks # 47478: mgr/dashboard: cluster > OSDs Resolved
  Cleanup # 43286: mgr/dashboard: refactor OSD actions menu New

  Bug # 45301: mgr/dashboard: displaying deleting state of OSDs in OSD table Pending Backport

  Cleanup # 50313: mgr/dashboard: Do not rely on /dev/sdx New

  Feature # 55526: mgr/dashboard: align color/severity level of "smart data" retrieval error New

Tasks # 47481: mgr/dashboard: cluster > configuration New

  Bug # 44584: mgr/dashboard: change "Editable" to "Runtime|Live Changeable|Updatable" in... New

  Cleanup # 50315: mgr/dashboard: refactor Configuration table New

Tasks # 47482: mgr/dashboard: Improvements for the Cluster > Pools page Resolved

  Tasks # 47807: mgr/dashboard: Remove the "Last change" column Resolved

  Tasks # 47900: mgr/dashboard: update QoS values when editing a Pool/RBD image Resolved

  Tasks # 47901: mgr/dashboard: Replace Replica size and Erasure code profile with one co... Resolved

  Tasks # 48067: mgr/dashboard: add description for CRUSH Ruleset Resolved

  Feature # 49180: mgr/dashboard: [RFE] Pool information doesn't provide easy visiblity o... New

  Cleanup # 50316: mgr/dashboard: Edit EC profile: hide plugin lib directory New

Tasks # 47483: mgr/dashboard: cluster > CRUSH map Need More Info

Cleanup # 47484: mgr/dashboard: cluster > manager modules Resolved

Tasks # 47485: mgr/dashboard: cluster > services In Progress

  Bug # 49146: mgr/dashboard: service create lists mgr/mon and crash New

  Bug # 49147: mgr/dashboard: admin can issue a create service for an existing service New

  Bug # 49148: mgr/dashboard: when creating a new service, the role of placement and coun... New

  Bug # 49154: mgr/dashboard: removing a service switches it to unmanaged in the UI but w... New

  Feature # 49262: mgr/dashboard: provide the service events when showing a service in th... Resolved

  Bug # 50319: mgr/dashboard: fix HAProxy (now called ingress) Resolved

  Feature # 50322: mgr/dashboard: add restart/reload daemons Resolved

  Cleanup # 50323: mgr/dashboard: refactor service table New

  Feature # 53077: mgr/dashboard: edit services Resolved

  Tasks # 53159: mgr/dashboard: NFS service: allow service port selection New

Bug # 47578: mgr/dashboard: Copy to clipboard does not work in Firefox Resolved

Bug # 47610: mgr/dashboard: Add short descriptions to the telemetry report preview Resolved

Bug # 47714: mgr/dashboard: Implement an expert setting New

Cleanup # 47790: mgr/dashboard: Improve HTML formatting of the telemetry report preview Resolved

Feature # 47791: mgr/dashboard: Enforce or warn about choosing an application label whe... New

Bug # 47858: mgr/dashboard: Disable blinking light button for devices that are not capa... New

Feature # 47860: Configurable and sortable list New

Bug # 47903: mgr/dashboard: Improving the dialog box Titles in Block -> Images New

Cleanup # 48016: mgr/dashboard: correct the order of the action- and cancel-buttons Resolved

Bug # 49149: mgr/dashboard: unable to see grafana integration after enabling the servic... New

Cleanup # 49606: mgr/dashboard: improve telemetry opt-in reminder notification message Pending Backport

Cleanup # 49829: mgr/dashboard: improve 'cluster-manager' role description Resolved

Feature # 50317: mgr/dashboard: Basic/Advanced mode New

Tasks # 50328: mgr/dashboard: RGW New

  Cleanup # 50329: mgr/dashboard: provide URL to RGW daemon New

  Cleanup # 50330: mgr/dashboard: rearrange RGW realms, zones, etc. New

  Subtask # 53301: mgr/dashboard: rgw daemon list: add realm column Resolved

Tasks # 50335: mgr/dashboard: Workflows New

  Feature # 50336: mgr/dashboard: "Create Cluster" workflow Resolved

    Tasks # 50564: mgr/dashboard: Add a welcome page for the Create Cluster Workflow Resolved

      Tasks # 51607: mgr/dashboard: Welcome page e2e for the Create Cluster Workflow Resolved

    Tasks # 50565: mgr/dashboard: Add host section for the Create Cluster Workflow Resolved

      Subtask # 51606: mgr/dashboard: Add host section e2e tests Resolved

    Tasks # 50566: mgr/dashboard: Review Section for the Create Cluster Workflow Resolved

      Subtask # 51608: mgr/dashboard: Review Section e2e for the Create Cluster Workflow Resolved

    Bug # 51209: cephadm: expose gather-facts api method Resolved
    Feature # 51300: mgr/dashboard: run cephadm orch backend E2E tests Resolved

      Feature # 51301: mgr/dashboard: create jenkins job: dashboard-cephadm-e2e Resolved

      Subtask # 51612: mgr/dashboard: cephadm-e2e script: improvements Resolved

      Subtask # 52082: mgr/dashboard: cephadm e2e start script: add "--expanded" option Resolved

        Subtask # 53333: mgr/dashboard: cephadm e2e start script: deploy monitoring stack when ... In Progress

    Tasks # 51640: mgr/dashboard: Cluster creation workflow followups Resolved

    Tasks # 51848: mgr/dashboard: Cluster creation review section followups Resolved

    Feature # 51991: mgr/dashboard:Create OSDs section for Cluster creation workflow Resolved

    Feature # 52017: mgr/dashboard: introduce gather facts in host list Resolved

    Tasks # 52298: mgr/dashboard: Use _no_schedule label instead of maintenance mode Resolved

    Tasks # 52499: mgr/dashboard:Create OSDs section for Cluster creation workflow followups Resolved

    Tasks # 52645: mgr/dashboard: expand cluster dashboard e2e cleanups Resolved

    Tasks # 52758: mgr/dashboard: Create Services section for Cluster Creation Workflow Resolved

    Feature # 52759: mgr/dashboard: Add multiple hosts at once in Host Form Resolved

    Bug # 53128: mgr/dashboard: Cluster Expansion - Review Section: fixes and improvements Resolved

  Feature # 50486: mgr/dashboard: expose CLI-like interface (tool-box) New

  Feature # 51051: mgr/dashboard: stretch cluster support New

Tasks # 50340: mgr/dashboard: CephFS New

  Cleanup # 50341: mgr/dashboard: typo: "Filesystems" to "File Systems" Resolved

Feature # 51378: mgr/dashboard: Add the ability to filter using labels in osd creation ... New

Feature # 51516: mgr/dashboard: Implement Routable Modals In Progress

  Tasks # 51517: mgr/dashboard: Adpot routable modals in host add form Resolved

Feature # 53135: mgr/dashboard: alert doc link provided as a test field, not hyperlink New

Subtask # 53398: mgr/dashboard: Check overall physical growth rate In Progress

Feature # 53919: mgr/dashboard: hint users about host resource utilization and service ... New

Feature # 54330: mgr/dashboard: OSD Creation Workflow Refactoring Resolved

  Tasks # 54339: mgr/dashboard: Cost/Capacity Optimized deployment (backend) Resolved

  Tasks # 54340: mgr/dashboard: Cost/Capacity Optimized deployment (frontend) Resolved

  Tasks # 54341: mgr/dashboard: e2e testing for the deployment scenarios New

  Tasks # 54563: mgr/dashboard: Cost/Capacity Optimized deployment (API integration) Resolved

History

#1 - 10/08/2020 11:27 AM - Lenz Grimmer

- Tags set to usability, cleanup

- Category changed from 132 to 152

- Tags deleted (usability)

#2 - 10/19/2020 01:16 PM - Nizamudeen  A

- Related to Bug #47902: mgr/dashboard: Improving the dialog box Titles in Block -> Images added

#3 - 10/19/2020 01:16 PM - Nizamudeen  A

- Related to deleted (Bug #47902: mgr/dashboard: Improving the dialog box Titles in Block -> Images)

#4 - 12/21/2020 04:23 PM - Ernesto Puerta

- Affected Versions v15.2.9, v16.0.0 added

#5 - 04/15/2021 04:54 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 152 to UX
